Skip to content

Get posture profile

GET
/api/v1/posture/profiles/{id}
curl --request GET \
--url https://osctrl.net/api/v1/posture/profiles/example \
--header 'Authorization: <Authorization>'

Returns a single posture check profile by ID.

id
required
string

Profile ID

OK

Media typeapplication/json
object
description
string
id
string
name
string
platform
string
queries
object
key
additional properties
object
interval
integer
platform
string
query
string
query_name
string
snapshot
boolean
Examplegenerated
{
"description": "example",
"id": "example",
"name": "example",
"platform": "example",
"queries": {
"additionalProperty": {
"interval": 1,
"platform": "example",
"query": "example",
"query_name": "example",
"snapshot": true
}
}
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}